<?php
/*
 * WPGear. Import Excel to Gravity Forms
 * options.php
 */
	
	$GFXLImport_Action 			= isset($_REQUEST['action']) ? sanitize_text_field ($_REQUEST['action']) : null;
	$GFXLImport_Setup_AdminOnly = isset($_REQUEST['gfxl_import_option_adminonly']) ? 1 : 0;	
	$GFXLImport_CSV_Separator	= isset($_REQUEST['gfxl_import_option_separator']) ? sanitize_text_field ($_REQUEST['gfxl_import_option_separator']) : ',';
	$GFXLImport_CSV_Encoding	= isset($_REQUEST['gfxl_import_option_encoding']) ? sanitize_text_field ($_REQUEST['gfxl_import_option_encoding']) : 'utf-8';
	
	if ($GFXLImport_Action == 'Update') {		
		update_option('gfxl_import_option_adminonly', $GFXLImport_Setup_AdminOnly);
		update_option('gfxl_import_option_separator', $GFXLImport_CSV_Separator);
		update_option('gfxl_import_option_encoding', $GFXLImport_CSV_Encoding);
	} else {
		$GFXLImport_Setup_AdminOnly = get_option('gfxl_import_option_adminonly', 1);
		$GFXLImport_CSV_Separator 	= get_option('gfxl_import_option_separator', ',');
		$GFXLImport_CSV_Encoding 			= get_option('gfxl_import_option_encoding', 'utf-8');
	}	
	
	if ($GFXLImport_Setup_AdminOnly) {
		if (!current_user_can('edit_dashboard')) {
			?>
			<div class="gfxl_import_warning" style="margin: 40px;">
				Sorry, you are not allowed to view this page.
			</div>
			<?php
			
			return;
		}		
	}
	
	?>
	<style>
		.gfxl_import_about_pro {
			margin-top: 20px;
			background: aliceblue;
			padding: 5px;
			border-radius: 9px;	
		}
		.gfxl_import_about_pro ul {
			list-style: initial;
		}
		.gfxl_import_about_pro li {
			margin-top: 5px;
			margin-left: 40px;
		}
	</style>
	
	<div class="wrap">
		<h2>Import Excel to Gravity Forms</h2>
		<hr>
		
		<div class="gfxl_import_options_box">
			<form name="form_GFXLImport_Options" method="post" style="margin-top: 20px;">
				<div style="margin-top: 10px;">
					<label for="gfxl_import_option_adminonly" title="On/Off">
					Enable this Page for Admin only
					</label>
					<input id="gfxl_import_option_adminonly" name="gfxl_import_option_adminonly" name="gfxl_import_option_adminonly" type="checkbox" <?php if($GFXLImport_Setup_AdminOnly) {echo 'checked';} ?>>
				</div>				

				<div style="margin-top: 10px;">
					<label for="gfxl_import_option_separator" title="On/Off">
					CSV Separator
					</label>
					<input id="gfxl_import_option_separator" name="gfxl_import_option_separator" class="gfxl_import_option_separator" type="text" maxlength="1" value="<?php echo $GFXLImport_CSV_Separator; ?>">
				</div>	

				<div style="margin-top: 20px;">
					<label for="gfxl_import_option_encoding" title="On/Off">
					CVS Encoding
					</label>
					<input id="gfxl_import_option_encoding" name="gfxl_import_option_encoding" class="gfxl_import_option_encoding" type="text" maxlength="12" value="<?php echo $GFXLImport_CSV_Encoding; ?>">
					<span>utf-8, ISO-8859-1, CP1251, ...</span>
				</div>					

				<hr>
				<div style="margin-top: 10px; margin-bottom: 5px; text-align: right;">
					<input id="gfxl_import_btn_options_save" type="submit" class="button button-primary" style="margin-right: 5px;" value="Save">
				</div>
				<input id="action" name="action" type="hidden" value="Update">
			</form>
		</div>

		<div class="gfxl_import_about_pro">
			<ul>
				Check out the features of the PRO version: <a href="http://wpgear.xyz/import-excel-to-gravity-forms-pro/">"Import Excel to Gravity Forms PRO"</a>
				<li>Ability to select data type (Name / Value) for Fields: "Select", "MultiSelect", "Radio", "CheckBox".</li>
				<li>Generation of a Template for easy filling of the Import Table. Template - Excel file in XLSX format.</li>
				<li>The Template contains: Field IDs, Fields Name, Type and Prompts for input.</li>
				<li>Input Prompts contain all Valid Variants for a given Field, given the selected data type (Name / Value).</li>
			</ul>				
		</div>	
	</div>
